/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.mycompany.JSONTrials.jaxb.types;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author naresh
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="Party", propOrder={
    "partyName",
    "postalAddress",
    "contact"
}, namespace="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2")
public class PartyType {

    @XmlElement(name="PartyName",
        namespace="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2")
    private PartyNameType partyName;

    @XmlElement(name="PostalAddress",
        namespace="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2")
    private PostalAddressType postalAddress;

    @XmlElement(name="Contact",
        namespace="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2")
    private ContactType contact;

    public PartyNameType getPartyName() {
        return partyName;
    }

    public void setPartyName(PartyNameType partyName) {
        this.partyName = partyName;
    }

    public ContactType getContact() {
        return contact;
    }

    public void setContact(ContactType contact) {
        this.contact = contact;
    }

    public PostalAddressType getPostalAddress() {
        return postalAddress;
    }

    public void setPostalAddress(PostalAddressType postalAddress) {
        this.postalAddress = postalAddress;
    }
    
}
